"Uruchamia przekazane funkcje testowe za pomocą modułu timer.py"

import timer, sys

def runner(*tests):
    results = []
    print('Python', sys.version.split()[0], 'na', sys.platform)

    # Czas
    for test in tests:
        besttime, result = timer.bestoftotal(10, 1000, test)
        results.append(result)
        print(f'{test.__name__:<9}: '
              f'{besttime:.5f} => [{result[0]}…{result[-1]}]')

    # Sprawdzenie
    print('Wyniki się różnią!'
           if any(result != results[0] for result in results[1:])
           else 'Wszystkie wyniki są takie same.')
